org.eclipse.ui.texteditor

## Class ValidateStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ui.texteditor.ValidateStateException

All Implemented Interfaces:
  Serializable

Deprecated.
No longer used, create a `CoreException` instead

    @Deprecated
    public class ValidateStateException
    extends CoreException

Formerly thrown by `AbstractDocumentProvider.doValidateState(Object, Object)`.

This class is not intended to be serialized.

Since:
  2.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ValidateStateException(IStatus status)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidateStateException

    public ValidateStateException(IStatus status)

Deprecated.